## mercurial 2.8.2

=== Makefile ===
# If you want to change PREFIX, do not just edit it below. The changed
# value wont get passed on to recursive make calls. You should instead
# override the variable on the command like:
#
# % make PREFIX=/opt/ install

PREFIX=/usr/local
export PREFIX
PYTHON=python
PURE=
PYFILES:=$(shell find mercurial hgext doc -name '*.py')
DOCFILES=mercurial/help/*.txt
export LANGUAGE=C
export LC_ALL=C

# Set this to e.g. "mingw32" to use a non-default compiler.
COMPILER=

help:
	@echo 'Commonly used make targets:'
	@echo '  all          - build program and documentation'
	@echo '  install      - install program and man pages to PREFIX ($(PREFIX))'
	@echo '  install-home - install with setup.py install --home=HOME ($(HOME))'
	@echo '  local        - build for inplace usage'
	@echo '  tests        - run all tests in the automatic test suite'
	@echo '  test-foo     - run only specified tests (e.g. test-merge1.t)'
	@echo '  dist         - run all tests and create a source tarball in dist/'
	@echo '  clean        - remove files created by other targets'
	@echo '                 (except installed files or dist source tarball)'
	@echo '  update-pot   - update i18n/hg.pot'
	@echo
	@echo 'Example for a system-wide installation under /usr/local:'
	@echo '  make all && su -c "make install" && hg version'
	@echo
	@echo 'Example for a local installation (usable in this directory):'
	@echo '  make local && ./hg version'

all: build doc

local:
	$(PYTHON) setup.py $(PURE) \
	  build_py -c -d . \
	  build_ext $(COMPILER:%=-c %) -i \
	  build_hgexe $(COMPILER:%=-c %) -i \
	  build_mo
	env HGRCPATH= $(PYTHON) hg version

build:
	$(PYTHON) setup.py $(PURE) build $(COMPILER:%=-c %)

doc:
	$(MAKE) -C doc

clean:
	-$(PYTHON) setup.py clean --all # ignore errors from this command
	find . \( -name '*.py[cdo]' -o -name '*.so' \) -exec rm -f '{}' ';'
	rm -f $(addprefix mercurial/,$(notdir $(wildcard mercurial/pure/[a-z]*.py)))
	rm -f MANIFEST MANIFEST.in mercurial/__version__.py tests/*.err
	rm -rf build mercurial/locale
	$(MAKE) -C doc clean

install: install-bin install-doc

install-bin: build
	$(PYTHON) setup.py $(PURE) install --root="$(DESTDIR)/" --prefix="$(PREFIX)" --force

install-doc: doc
	cd doc && $(MAKE) $(MFLAGS) install

install-home: install-home-bin install-home-doc

install-home-bin: build
	$(PYTHON) setup.py $(PURE) install --home="$(HOME)" --force

install-home-doc: doc
	cd doc && $(MAKE) $(MFLAGS) PREFIX="$(HOME)" install

MANIFEST-doc:
	$(MAKE) -C doc MANIFEST

MANIFEST.in: MANIFEST-doc
	hg manifest | sed -e 's/^/include /' > MANIFEST.in
	echo include mercurial/__version__.py >> MANIFEST.in
	sed -e 's/^/include /' < doc/MANIFEST >> MANIFEST.in

dist:	tests dist-notests

dist-notests:	doc MANIFEST.in
	TAR_OPTIONS="--owner=root --group=root --mode=u+w,go-w,a+rX-s" $(PYTHON) setup.py -q sdist

check: tests

tests:
	cd tests && $(PYTHON) run-tests.py $(TESTFLAGS)

test-%:
	cd tests && $(PYTHON) run-tests.py $(TESTFLAGS) $@

check-code:
	hg manifest | xargs python contrib/check-code.py

update-pot: i18n/hg.pot

i18n/hg.pot: $(PYFILES) $(DOCFILES)
	$(PYTHON) i18n/hggettext mercurial/commands.py \
	  hgext/*.py hgext/*/__init__.py \
	  mercurial/fileset.py mercurial/revset.py \
	  mercurial/templatefilters.py mercurial/templatekw.py \
	  mercurial/filemerge.py \
	  $(DOCFILES) > i18n/hg.pot
        # All strings marked for translation in Mercurial contain
        # ASCII characters only. But some files contain string
        # literals like this '\037\213'. xgettext thinks it has to
        # parse them even though they are not marked for translation.
        # Extracting with an explicit encoding of ISO-8859-1 will make
        # xgettext "parse" and ignore them.
	echo $(PYFILES) | xargs \
	  xgettext --package-name "Mercurial" \
	  --msgid-bugs-address "<mercurial-devel@selenic.com>" \
	  --copyright-holder "Matt Mackall <mpm@selenic.com> and others" \
	  --from-code ISO-8859-1 --join --sort-by-file --add-comments=i18n: \
	  -d hg -p i18n -o hg.pot
	$(PYTHON) i18n/posplit i18n/hg.pot

%.po: i18n/hg.pot
	msgmerge --no-location --update $@ $^

.PHONY: help all local build doc clean install install-bin install-doc \
	install-home install-home-bin install-home-doc dist dist-notests tests \
	update-pot

=== debian/changelog ===
mercurial (2.8.2-1ubuntu1) trusty; urgency=medium

  * debian/tests/control:
    - Add "allow-stderr" restriction to "testsuite" as it prints out a "Tested
      with unexpected mercurial lib:" warning.
    - Disable hgsubversion test as it needs access to anonscm.debian.org which
      we don't have in Ubuntu CI.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 16 Jan 2014 17:25:51 +0100

mercurial (2.8.2-1) unstable; urgency=medium

  * New upstream release
  * Drop for_upstream__fix_i18n.patch as it's now included upstream
  * Make uscan verify the signature of downloaded tarballs

 -- Javi Merino <vicho@debian.org>  Thu, 02 Jan 2014 17:31:05 +0100

mercurial (2.8.1-2) unstable; urgency=low

  * Pass -f to rm so that repeated builds succeed (Closes: #731623).
  * Fix installation in the case where there is more than one supported
    version of Python (Closes: #729153).
    - Thanks to Faheem Mitha <faheem@faheem.info> for the patch.
  * Make test-shelve.t more lenient. This should hopefully fix the
    semi-intermittent build failures on some architectures with slower
    buildds.

 -- Tristan Seligmann <mithrandi@debian.org>  Sun, 08 Dec 2013 02:03:54 +0200

=== debian/control ===
Source: mercurial
Section: vcs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Uploaders: Vincent Danjean <vdanjean@debian.org>,
 Javi Merino <vicho@debian.org>,
 Tristan Seligmann <mithrandi@debian.org>
Build-Depends: debhelper (>= 9),
 patchutils (>= 0.2.25),
 gettext,
 python-all-dev (>= 2.6.6-3~),
 python-docutils,
 python-roman,
 zip,
 unzip,
 bash-completion,
 netbase,
Standards-Version: 3.9.5
Homepage: http://mercurial.selenic.com/
Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/mercurial/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/mercurial/trunk/
X-Python-Version: >= 2.4
XS-Testsuite: autopkgtest

Package: mercurial-common
Architecture: all 
Depends: ${misc:Depends}, ${python:Depends}
Recommends: mercurial (>= ${source:Version}), ca-certificates
Suggests: wish,
 python-mysqldb, 
 python-pygments,
 python-openssl
Breaks: mercurial (<< ${source:Version})
Replaces: mercurial (<< 1.4)
Description: easy-to-use, scalable distributed version control system (common files)
 Mercurial is a fast, lightweight Source Control Management system designed
 for efficient handling of very large distributed projects.
 . 
 This package contains the architecture independent components of Mercurial,
 and is generally useless without the mercurial package.

Package: mercurial
Architecture: any 
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, ucf (>= 2.0020),
 mercurial-common (= ${source:Version})
Recommends: openssh-client,
 wish,
Suggests: qct, 
 vim | emacs,
 kdiff3 | kdiff3-qt | kompare | meld | tkcvs | mgdiff
Breaks: hgsubversion (<< 1.5~),
 hgview (<< 1.7.1-1~),
 mercurial-git (<< 0.4.0-1~),
 qct (<< 1.7-2~),
Description: easy-to-use, scalable distributed version control system
 Mercurial is a fast, lightweight Source Control Management system designed
 for efficient handling of very large distributed projects.
 . 
 Its features include:
  * O(1) delta-compressed file storage and retrieval scheme
  * Complete cross-indexing of files and changesets for efficient exploration
    of project history
  * Robust SHA1-based integrity checking and append-only storage model
  * Decentralized development model with arbitrary merging between trees
  * High-speed HTTP-based network merge protocol
  * Easy-to-use command-line interface
  * Integrated stand-alone web interface
  * Small Python codebase
 .
 This package contains the architecture dependent files.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with python2,bash-completion

PYVERS=$(shell pyversions -vs)
PYVER_DEFAULT=$(shell pyversions -vd)
DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)

override_dh_auto_build:
	$(MAKE) all
	# Do not start a line with a word with a dot in a manpage
	sed -i -e 's,^[.]\(hgignore\|hg/hgrc\),\\fP\1,' doc/hg.1

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
         NJOBS := $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
         PARALLEL_TEST_JOBS := --jobs $(NJOBS)
endif

ARCH_IS_MIPS := $(if $(subst mips,,$(DEB_HOST_ARCH)),,T)
ARCH_IS_KFREEBSD-i386 := $(if $(subst kfreebsd-i386,,$(DEB_HOST_ARCH)),,T)
ARCH_IS_ARMEL := $(if $(subst armel,,$(DEB_HOST_ARCH)),,T)
ARCH_IS_SPARC := $(if $(subst sparc,,$(DEB_HOST_ARCH)),,T)

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
# test-pull-pull-corruption tries to execute two hg commands at the
# same time to test for corruption.  It does so by running an hg
# command in the background, sleeping one second and running the
# second command.  In architectures with slow buildds, one second is
# not enough and the second test starts before the first one has
# started printing.  This is hacky and we just enhance the hack by
# incrementing the sleep time in those architectures.
ifneq ($(or $(ARCH_IS_MIPS), $(ARCH_IS_KFREEBSD-i386), $(ARCH_IS_ARMEL), $(ARCH_IS_SPARC)),)
		sed -i.deb-backup -e 's/sleep 1/sleep 2/' $(CURDIR)/tests/test-pull-pull-corruption.t
endif

	http_proxy='' dh_auto_test -- TESTFLAGS="--verbose --timeout 1440 $(PARALLEL_TEST_JOBS)"

	rename.ul .deb-backup '' $(CURDIR)/tests/*
endif

override_dh_auto_install: $(PYVERS:%=install-python%)

install-python%:
	python$* setup.py install --root $(CURDIR)/debian/tmp --install-layout=deb
	# Do not hardcode the python interpreter
	sed -i '1c#!/usr/bin/python' debian/tmp/usr/bin/hg


override_dh_install:
	dh_install
	if test -d $(CURDIR)/debian/mercurial ; then \
		$(MAKE) -f debian/rules install-archdep ; \
	fi
	if test -d $(CURDIR)/debian/mercurial-common ; then \
		$(MAKE) -f debian/rules install-archindep ;\
	fi

install-archdep:
	# remove arch-independent python stuff
	find debian/mercurial/usr/lib \
		! -name '*.so' ! -type d -delete , \
		-type d -empty -delete

install-archindep:
	# Install system-wide conffiles.  Note the rename from .hgrc
	# to .rc, which dh_install can't do if you list the file in
	# mercurial-common.install
	install -m 644 \
		contrib/mergetools.hgrc \
		$(CURDIR)/debian/mercurial-common/etc/mercurial/hgrc.d/mergetools.rc
	install -m 644 \
		debian/cacerts.hgrc \
		$(CURDIR)/debian/mercurial-common/etc/mercurial/hgrc.d/cacerts.rc
	# Move templates and help installed by setup.py to their FHS-correct location
	mv $(CURDIR)/debian/mercurial-common/usr/lib/python$(PYVER_DEFAULT)/dist-packages/mercurial/templates \
	   $(CURDIR)/debian/mercurial-common/usr/lib/python$(PYVER_DEFAULT)/dist-packages/mercurial/help \
	   $(CURDIR)/debian/mercurial-common/usr/share/mercurial
	mv $(CURDIR)/debian/mercurial-common/usr/lib/python$(PYVER_DEFAULT)/dist-packages/mercurial/locale \
	   $(CURDIR)/debian/mercurial-common/usr/share
	# If more than one Python version is supported, clean up the templates
	# and help installed for the other versions
	-rm -rf $(CURDIR)/debian/mercurial-common/usr/lib/python*/dist-packages/mercurial/templates \
	        $(CURDIR)/debian/mercurial-common/usr/lib/python*/dist-packages/mercurial/help \
	        $(CURDIR)/debian/mercurial-common/usr/lib/python*/dist-packages/mercurial/locale \
	# remove arch-dependent python stuff
	find debian/mercurial-common/usr/lib \
		-name '*.so' ! -type d -delete , \
		-type d -empty -delete

override_dh_python2:
	dh_python2
	find debian/mercurial/usr/share -type d -empty -delete

override_dh_auto_clean: mercurial/__version__.py
	cp -a mercurial/__version__.py mercurial/__version__.py.save
	dh_auto_clean
	mv mercurial/__version__.py.save mercurial/__version__.py
	$(RM) -rv tmp/

override_dh_clean:
	dh_clean
	-rm -f tests/test-check-pyflakes.t

mercurial/__version__.py:
	@echo "$@ is missing (you probably call 'make clean' directly)."
	@echo "Restore it from sources before building the package"
	@echo "Aborting."
	exit 1

=== debian/tests/control ===
Tests: testsuite
Depends: @, zip, unzip, netbase, python-subversion, monotone, cvs, bzr, tla, darcs
Restrictions: allow-stderr

#Tests: hgsubversion
#Depends: @, hgsubversion

Tests: mercurial-git
Depends: @, mercurial-git, git

=== debian/watch ===
# format version number, currently 3; this line is compulsory!
version=3

opts="uversionmangle=s/-rc/~rc/,pgpsigurlmangle=s/$/.asc/" \
  http://www.selenic.com/mercurial/release/mercurial-(.*)\.tar\.gz

## mercurial 3.1.1

=== debian/changelog ===
mercurial (3.1.1-1) unstable; urgency=medium

  * New upstream release
  * Remove test_patchbomb from blacklisted tests (fixed upstream in
    http://selenic.com/repo/hg/rev/f8fc5df6a8cf)
  * Add patch from_upstream__test-
    patchbomb_t_work_around_Python_change_d579866d6419_issue4188.patch
    which fixes the patchbomb test

 -- Javi Merino <vicho@debian.org>  Thu, 04 Sep 2014 09:04:08 +0200

mercurial (3.1-2) unstable; urgency=medium

  * gcc and python2.7-dev now needed to pass the testsuite in autopkgtest
  * mercurial-git versions prior to 0.6.1 don't work with mercurial-3.1,
    update breaks
  * Fix hgsubversion autopkgtest
  * Remove darcs from the autopkgtest testsuite as gnutls fails to
    initialize random number generator in the schroot and is very verbose
    about it.

 -- Javi Merino <vicho@debian.org>  Mon, 25 Aug 2014 14:54:24 -0700

mercurial (3.1-1) unstable; urgency=medium

  * New upstream release

 -- Javi Merino <vicho@debian.org>  Sat, 02 Aug 2014 11:29:22 +0100

mercurial (3.0.2-1) unstable; urgency=medium

  * New upstream release

 -- Javi Merino <vicho@debian.org>  Sun, 13 Jul 2014 13:12:26 +0200

mercurial (3.0.1-1) unstable; urgency=medium

  * New upstream release (Closes: #750444)
  * Update breaks of hgview to hgview-common << 1.8.1 (Thanks Julien Cristau)

 -- Javi Merino <vicho@debian.org>  Tue, 17 Jun 2014 22:55:05 +0100

mercurial (3.0-1) unstable; urgency=medium

  * New upstream release
  * Rever breaks of hgsubversion to versions prior to 1.6
  * Upload to unstable

 -- Javi Merino <vicho@debian.org>  Fri, 02 May 2014 08:33:00 +0100

mercurial (3.0~rc1-1) experimental; urgency=medium

  * New upstream release
  * Don't explicitly change the python interpreter in debian/rules, it's
    already handled by dh_python2
  * Drop patch deb_specific__fix_hg-ssh_interpreter.patch as dh_python2
    fixes the interpreter for us
  * Fix "fatal: empty ident name (for <babar@jungle.org>) not allowed"
    error in the mercurial-git autopkgtest
  * Blacklist test-patchbomb from the testsuite autopkgtest as it is
    known to fail
  * Don't install tmplrewrite.py in examples any more.  It was useful
    for the 1.3 transition, but no longer relevant
  * Mercurial 3.0 breaks current hgsubversion (1.6)

 -- Javi Merino <vicho@debian.org>  Sat, 19 Apr 2014 18:53:34 +0100

mercurial (2.9.2-1) unstable; urgency=low

  [ Javi Merino ]
  * New upstream release
  * Fix "please downgrade 'wish' Recommends to Suggests" by removing the
    Recommends from the mercurial package (but keeping the Suggests in
    mercurial-common) (Closes: #741514)
  * Drop Suggests of vim or emacs
  * Fix "autopkgtest hgsubversion shouldn't need network connectivity"
    by making the test create a local svn repository (Closes: #735578)
  * Mercurial 2.9 breaks hgsubversion prior to 1.6

  [ Julien Cristau ]
  * mercurial-common Replaces mercurial << 2.6.3 (the bash_completion file and
    /etc/mercurial/hgrc moved) (Closes: #743288)

 -- Javi Merino <vicho@debian.org>  Thu, 03 Apr 2014 08:11:58 +0100

mercurial (2.9.1-1) unstable; urgency=medium

  * New upstream release
  * mercurial 2.9 breaks current hgsubversion (1.5-1)
  * Blacklist test-patchbomb.t as it failed sporadically in mips buildd
    for 2.9-1 and is now failing for me.

 -- Javi Merino <vicho@debian.org>  Mon, 03 Mar 2014 22:52:12 +0000

mercurial (2.9-1) unstable; urgency=medium

  * blacklist check_pyflakes instead of deleting the test
  * Add "allow-stderr" restriction to "testsuite" as it prints out a
    "Tested with unexpected mercurial lib:" warning.  Thanks to Martin
    Pitt <martin.pitt@ubuntu.com>.

 -- Javi Merino <vicho@debian.org>  Mon, 10 Feb 2014 22:37:30 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: mercurial
 Section: vcs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
+Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Uploaders: Vincent Danjean <vdanjean@debian.org>,
  Javi Merino <vicho@debian.org>,
  Tristan Seligmann <mithrandi@debian.org>
@@ -21,18 +20,20 @@
 Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/mercurial/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/mercurial/trunk/
 X-Python-Version: >= 2.4
+# Can go away once dpkg 1.17.11 hits stable
 XS-Testsuite: autopkgtest
 
 Package: mercurial-common
 Architecture: all 
 Depends: ${misc:Depends}, ${python:Depends}
 Recommends: mercurial (>= ${source:Version}), ca-certificates
-Suggests: wish,
+Suggests:
+ wish,
  python-mysqldb, 
  python-pygments,
  python-openssl
 Breaks: mercurial (<< ${source:Version})
-Replaces: mercurial (<< 1.4)
+Replaces: mercurial (<< 2.6.3)
 Description: easy-to-use, scalable distributed version control system (common files)
  Mercurial is a fast, lightweight Source Control Management system designed
  for efficient handling of very large distributed projects.
@@ -45,13 +46,11 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, ucf (>= 2.0020),
  mercurial-common (= ${source:Version})
 Recommends: openssh-client,
- wish,
-Suggests: qct, 
- vim | emacs,
+Suggests: qct,
  kdiff3 | kdiff3-qt | kompare | meld | tkcvs | mgdiff
-Breaks: hgsubversion (<< 1.5~),
- hgview (<< 1.7.1-1~),
- mercurial-git (<< 0.4.0-1~),
+Breaks: hgsubversion (<< 1.6~),
+ hgview-common (<< 1.8.1),
+ mercurial-git (<< 0.6.1-1~),
  qct (<< 1.7-2~),
 Description: easy-to-use, scalable distributed version control system
  Mercurial is a fast, lightweight Source Control Management system designed

=== debian/rules ===
--- 
+++ 
@@ -39,7 +39,7 @@
 		sed -i.deb-backup -e 's/sleep 1/sleep 2/' $(CURDIR)/tests/test-pull-pull-corruption.t
 endif
 
-	http_proxy='' dh_auto_test -- TESTFLAGS="--verbose --timeout 1440 $(PARALLEL_TEST_JOBS)"
+	http_proxy='' dh_auto_test -- TESTFLAGS="--verbose --timeout 1440 $(PARALLEL_TEST_JOBS) --blacklist $(CURDIR)/debian/mercurial.test_blacklist"
 
 	rename.ul .deb-backup '' $(CURDIR)/tests/*
 endif
@@ -48,9 +48,6 @@
 
 install-python%:
 	python$* setup.py install --root $(CURDIR)/debian/tmp --install-layout=deb
-	# Do not hardcode the python interpreter
-	sed -i '1c#!/usr/bin/python' debian/tmp/usr/bin/hg
-
 
 override_dh_install:
 	dh_install
@@ -103,10 +100,6 @@
 	mv mercurial/__version__.py.save mercurial/__version__.py
 	$(RM) -rv tmp/
 
-override_dh_clean:
-	dh_clean
-	-rm -f tests/test-check-pyflakes.t
-
 mercurial/__version__.py:
 	@echo "$@ is missing (you probably call 'make clean' directly)."
 	@echo "Restore it from sources before building the package"

## mercurial 3.1.2

=== Makefile ===
--- 
+++ 
@@ -19,8 +19,8 @@
 help:
 	@echo 'Commonly used make targets:'
 	@echo '  all          - build program and documentation'
-	@echo '  install      - install program and man pages to PREFIX ($(PREFIX))'
-	@echo '  install-home - install with setup.py install --home=HOME ($(HOME))'
+	@echo '  install      - install program and man pages to $$PREFIX ($(PREFIX))'
+	@echo '  install-home - install with setup.py install --home=$$HOME ($(HOME))'
 	@echo '  local        - build for inplace usage'
 	@echo '  tests        - run all tests in the automatic test suite'
 	@echo '  test-foo     - run only specified tests (e.g. test-merge1.t)'
@@ -53,9 +53,10 @@
 
 clean:
 	-$(PYTHON) setup.py clean --all # ignore errors from this command
-	find . \( -name '*.py[cdo]' -o -name '*.so' \) -exec rm -f '{}' ';'
+	find contrib doc hgext i18n mercurial tests \
+		\( -name '*.py[cdo]' -o -name '*.so' \) -exec rm -f '{}' ';'
 	rm -f $(addprefix mercurial/,$(notdir $(wildcard mercurial/pure/[a-z]*.py)))
-	rm -f MANIFEST MANIFEST.in mercurial/__version__.py tests/*.err
+	rm -f MANIFEST MANIFEST.in mercurial/__version__.py hgext/__index__.py tests/*.err
 	rm -rf build mercurial/locale
 	$(MAKE) -C doc clean
 
@@ -70,7 +71,7 @@
 install-home: install-home-bin install-home-doc
 
 install-home-bin: build
-	$(PYTHON) setup.py $(PURE) install --home="$(HOME)" --force
+	$(PYTHON) setup.py $(PURE) install --home="$(HOME)" --prefix="" --force
 
 install-home-doc: doc
 	cd doc && $(MAKE) $(MFLAGS) PREFIX="$(HOME)" install
@@ -101,13 +102,13 @@
 
 update-pot: i18n/hg.pot
 
-i18n/hg.pot: $(PYFILES) $(DOCFILES)
+i18n/hg.pot: $(PYFILES) $(DOCFILES) i18n/posplit i18n/hggettext
 	$(PYTHON) i18n/hggettext mercurial/commands.py \
 	  hgext/*.py hgext/*/__init__.py \
 	  mercurial/fileset.py mercurial/revset.py \
 	  mercurial/templatefilters.py mercurial/templatekw.py \
 	  mercurial/filemerge.py \
-	  $(DOCFILES) > i18n/hg.pot
+	  $(DOCFILES) > i18n/hg.pot.tmp
         # All strings marked for translation in Mercurial contain
         # ASCII characters only. But some files contain string
         # literals like this '\037\213'. xgettext thinks it has to
@@ -119,12 +120,49 @@
 	  --msgid-bugs-address "<mercurial-devel@selenic.com>" \
 	  --copyright-holder "Matt Mackall <mpm@selenic.com> and others" \
 	  --from-code ISO-8859-1 --join --sort-by-file --add-comments=i18n: \
-	  -d hg -p i18n -o hg.pot
-	$(PYTHON) i18n/posplit i18n/hg.pot
+	  -d hg -p i18n -o hg.pot.tmp
+	$(PYTHON) i18n/posplit i18n/hg.pot.tmp
+        # The target file is not created before the last step. So it never is in
+        # an intermediate state.
+	mv -f i18n/hg.pot.tmp i18n/hg.pot
 
 %.po: i18n/hg.pot
-	msgmerge --no-location --update $@ $^
+        # work on a temporary copy for never having a half completed target
+	cp $@ $@.tmp
+	msgmerge --no-location --update $@.tmp $^
+	mv -f $@.tmp $@
+
+# Packaging targets
+
+osx:
+	@which -s bdist_mpkg || \
+	   (echo "Missing bdist_mpkg (easy_install bdist_mpkg)"; false)
+	bdist_mpkg setup.py
+	mkdir -p packages/osx
+	rm -rf dist/mercurial-*.mpkg
+	mv dist/mercurial*macosx*.zip packages/osx
+
+fedora:
+	mkdir -p packages/fedora
+	contrib/buildrpm
+	cp rpmbuild/RPMS/*/* packages/fedora
+	cp rpmbuild/SRPMS/* packages/fedora
+	rm -rf rpmbuild
+
+docker-fedora:
+	mkdir -p packages/fedora
+	contrib/dockerrpm fedora
+
+centos6:
+	mkdir -p packages/centos6
+	contrib/buildrpm
+	cp rpmbuild/RPMS/*/* packages/centos6
+	cp rpmbuild/SRPMS/* packages/centos6
+
+docker-centos6:
+	mkdir -p packages/centos6
+	contrib/dockerrpm centos6
 
 .PHONY: help all local build doc clean install install-bin install-doc \
 	install-home install-home-bin install-home-doc dist dist-notests tests \
-	update-pot
+	update-pot fedora docker-fedora

=== debian/changelog ===
mercurial (3.1.2-2) unstable; urgency=high

  * Fix "CVE-2014-9390: Errors in handling case-sensitive directories
    allow for remote code execution on pull" by adding patches
    from_upstream__encoding_add_hfsignoreclean_to_clean_out_HFS-ignored_characters.patch,
    from_upstream__pathauditor_check_for_codepoints_ignored_on_OS_X.patch,
    and
    from_upstream__pathauditor_check_for_Windows_shortname_aliases.patch
    (Closes: #773640)

 -- Javi Merino <vicho@debian.org>  Tue, 23 Dec 2014 16:01:50 +0100

mercurial (3.1.2-1) unstable; urgency=medium

  * New upstream version
  * Use excanvas.js from libjs-excanvas instead of shipping a copy in
    the package

 -- Javi Merino <vicho@debian.org>  Thu, 02 Oct 2014 23:34:41 +0100

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,10 @@
 
 Package: mercurial-common
 Architecture: all 
-Depends: ${misc:Depends}, ${python:Depends}
+Depends:
+ ${misc:Depends},
+ ${python:Depends},
+ libjs-excanvas
 Recommends: mercurial (>= ${source:Version}), ca-certificates
 Suggests:
  wish,

## mercurial 3.4

=== Makefile ===
--- 
+++ 
@@ -7,11 +7,14 @@
 PREFIX=/usr/local
 export PREFIX
 PYTHON=python
+$(eval HGROOT := $(shell pwd))
+HGPYTHONS ?= $(HGROOT)/build/pythons
 PURE=
 PYFILES:=$(shell find mercurial hgext doc -name '*.py')
 DOCFILES=mercurial/help/*.txt
 export LANGUAGE=C
 export LC_ALL=C
+TESTFLAGS ?= $(shell echo $$HGTESTFLAGS)
 
 # Set this to e.g. "mingw32" to use a non-default compiler.
 COMPILER=
@@ -56,7 +59,8 @@
 	find contrib doc hgext i18n mercurial tests \
 		\( -name '*.py[cdo]' -o -name '*.so' \) -exec rm -f '{}' ';'
 	rm -f $(addprefix mercurial/,$(notdir $(wildcard mercurial/pure/[a-z]*.py)))
-	rm -f MANIFEST MANIFEST.in mercurial/__version__.py hgext/__index__.py tests/*.err
+	rm -f MANIFEST MANIFEST.in hgext/__index__.py tests/*.err
+	if test -d .hg; then rm -f mercurial/__version__.py; fi
 	rm -rf build mercurial/locale
 	$(MAKE) -C doc clean
 
@@ -96,6 +100,13 @@
 
 test-%:
 	cd tests && $(PYTHON) run-tests.py $(TESTFLAGS) $@
+
+testpy-%:
+	@echo Looking for Python $* in $(HGPYTHONS)
+	[ -e $(HGPYTHONS)/$*/bin/python ] || ( \
+	cd $$(mktemp --directory --tmpdir) && \
+        $(MAKE) -f $(HGROOT)/contrib/Makefile.python PYTHONVER=$* PREFIX=$(HGPYTHONS)/$* python )
+	cd tests && $(HGPYTHONS)/$*/bin/python run-tests.py $(TESTFLAGS)
 
 check-code:
 	hg manifest | xargs python contrib/check-code.py
@@ -107,7 +118,9 @@
 	  hgext/*.py hgext/*/__init__.py \
 	  mercurial/fileset.py mercurial/revset.py \
 	  mercurial/templatefilters.py mercurial/templatekw.py \
+	  mercurial/templater.py \
 	  mercurial/filemerge.py \
+	  mercurial/hgweb/webcommands.py \
 	  $(DOCFILES) > i18n/hg.pot.tmp
         # All strings marked for translation in Mercurial contain
         # ASCII characters only. But some files contain string
@@ -135,23 +148,46 @@
 # Packaging targets
 
 osx:
-	@which -s bdist_mpkg || \
+	python -c 'import bdist_mpkg.script_bdist_mpkg' || \
 	   (echo "Missing bdist_mpkg (easy_install bdist_mpkg)"; false)
-	bdist_mpkg setup.py
+	rm -rf dist/mercurial-*.mpkg
+	python -m bdist_mpkg.script_bdist_mpkg setup.py --
+	python contrib/fixpax.py dist/mercurial-*.mpkg/Contents/Packages/*.pkg/Contents/Archive.pax.gz
 	mkdir -p packages/osx
+	N=`cd dist && echo mercurial-*.mpkg | sed 's,\.mpkg$$,,'` && hdiutil create -srcfolder dist/$$N.mpkg/ -scrub -volname "$$N" -ov packages/osx/$$N.dmg
 	rm -rf dist/mercurial-*.mpkg
-	mv dist/mercurial*macosx*.zip packages/osx
-
-fedora:
-	mkdir -p packages/fedora
-	contrib/buildrpm
-	cp rpmbuild/RPMS/*/* packages/fedora
-	cp rpmbuild/SRPMS/* packages/fedora
+
+fedora20:
+	mkdir -p packages/fedora20
+	contrib/buildrpm
+	cp rpmbuild/RPMS/*/* packages/fedora20
+	cp rpmbuild/SRPMS/* packages/fedora20
 	rm -rf rpmbuild
 
-docker-fedora:
-	mkdir -p packages/fedora
-	contrib/dockerrpm fedora
+docker-fedora20:
+	mkdir -p packages/fedora20
+	contrib/dockerrpm fedora20
+
+fedora21:
+	mkdir -p packages/fedora21
+	contrib/buildrpm
+	cp rpmbuild/RPMS/*/* packages/fedora21
+	cp rpmbuild/SRPMS/* packages/fedora21
+	rm -rf rpmbuild
+
+docker-fedora21:
+	mkdir -p packages/fedora21
+	contrib/dockerrpm fedora21
+
+centos5:
+	mkdir -p packages/centos5
+	contrib/buildrpm --withpython
+	cp rpmbuild/RPMS/*/* packages/centos5
+	cp rpmbuild/SRPMS/* packages/centos5
+
+docker-centos5:
+	mkdir -p packages/centos5
+	contrib/dockerrpm centos5 --withpython
 
 centos6:
 	mkdir -p packages/centos6
@@ -163,6 +199,18 @@
 	mkdir -p packages/centos6
 	contrib/dockerrpm centos6
 
+centos7:
+	mkdir -p packages/centos7
+	contrib/buildrpm
+	cp rpmbuild/RPMS/*/* packages/centos7
+	cp rpmbuild/SRPMS/* packages/centos7
+
+docker-centos7:
+	mkdir -p packages/centos7
+	contrib/dockerrpm centos7
+
 .PHONY: help all local build doc clean install install-bin install-doc \
-	install-home install-home-bin install-home-doc dist dist-notests tests \
-	update-pot fedora docker-fedora
+	install-home install-home-bin install-home-doc \
+	dist dist-notests check tests check-code update-pot \
+	osx fedora20 docker-fedora20 fedora21 docker-fedora21 \
+	centos5 docker-centos5 centos6 docker-centos6 centos7 docker-centos7

=== debian/changelog ===
mercurial (3.4-1ubuntu1) wily; urgency=medium

  * debian/patches/fix_tz_ftbfs.patch: fix test failure caused by timezone
    parsing oddity with newer glibc.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 17 Jun 2015 09:11:53 -0400

mercurial (3.4-1) unstable; urgency=medium

  * New upstream release
  * Delete patch for_upstream__fix_typo_in_man_page.patch as it is applied
    upstream
  * Update breaks of hgsubversion to versions prior to 1.8-1
  * Upload to unstable

 -- Javi Merino <vicho@debian.org>  Sat, 02 May 2015 10:01:10 +0100

mercurial (3.4~rc1-1) experimental; urgency=medium

  * New upstream release
  * Delete patch for_upstream__lenient_test-shelve.patch which is
    applied upstream
  * Remove trailing spaces from empty lines in the descriptions.  It
    upsets lintian
  * Add patch for_upstream__fix_typo_in_man_page.patch to fix a typo
    spotted by lintian

 -- Javi Merino <vicho@debian.org>  Sun, 19 Apr 2015 15:41:25 +0100

mercurial (3.3.2-1) experimental; urgency=medium

  * New upstream release

 -- Javi Merino <vicho@debian.org>  Fri, 13 Mar 2015 13:38:04 +0000

mercurial (3.3-1) experimental; urgency=medium

  * New upstream release

 -- Javi Merino <vicho@debian.org>  Mon, 09 Feb 2015 05:48:23 +0800

mercurial (3.3~rc1-1) experimental; urgency=medium

  * New upstream release
  * move the installation of mergetools.rc to mercurial-common.install

 -- Javi Merino <vicho@debian.org>  Sat, 31 Jan 2015 17:48:59 +0100

mercurial (3.2.3-1) experimental; urgency=medium

  * New upstream release

 -- Javi Merino <vicho@debian.org>  Fri, 19 Dec 2014 22:29:28 +0000

mercurial (3.2.1-1) experimental; urgency=medium

  * New upstream release

 -- Javi Merino <vicho@debian.org>  Fri, 14 Nov 2014 08:35:25 +0000

mercurial (3.2-1) experimental; urgency=medium

  * New upstream release (Closes: #768022)
  * Replace deb_specific__support_templates_in_fsh.patch,
    deb_specific__support_help_in_fhs.patch and
    deb_specific__support_mo_in_fhs.patch with
    deb_specific__fix_fhs_paths.py as the mechanism to specify the path to
    datafiles has been unified.
  * Remove from_upstream__test-
    patchbomb_t_work_around_Python_change_d579866d6419_issue4188.patch
    as it is now included upstream
  * Bump standards-version to 3.9.6 (no change needed)
  * Build-depend on dh-python
  * Simplify installation of /etc/mercurial/hgrc.d/cacerts.rc
  * Remove sample.hgrc from the examples as it's now removed in upstream
    (full of bad suggestions)
  * Update breaks for mercurial-git and hgsubversion: current versions
    don't work

 -- Javi Merino <vicho@debian.org>  Mon, 10 Nov 2014 08:34:13 +0000

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,13 @@
 Source: mercurial
 Section: vcs
 Priority: optional
-Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Uploaders: Vincent Danjean <vdanjean@debian.org>,
  Javi Merino <vicho@debian.org>,
  Tristan Seligmann <mithrandi@debian.org>
 Build-Depends: debhelper (>= 9),
+ dh-python,
  patchutils (>= 0.2.25),
  gettext,
  python-all-dev (>= 2.6.6-3~),
@@ -15,7 +17,7 @@
  unzip,
  bash-completion,
  netbase,
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://mercurial.selenic.com/
 Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/mercurial/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/mercurial/trunk/
@@ -40,7 +42,7 @@
 Description: easy-to-use, scalable distributed version control system (common files)
  Mercurial is a fast, lightweight Source Control Management system designed
  for efficient handling of very large distributed projects.
- . 
+ .
  This package contains the architecture independent components of Mercurial,
  and is generally useless without the mercurial package.
 
@@ -51,14 +53,14 @@
 Recommends: openssh-client,
 Suggests: qct,
  kdiff3 | kdiff3-qt | kompare | meld | tkcvs | mgdiff
-Breaks: hgsubversion (<< 1.6~),
+Breaks: hgsubversion (<< 1.8-1),
  hgview-common (<< 1.8.1),
- mercurial-git (<< 0.6.1-1~),
+ mercurial-git (<= 0.6.1-2),
  qct (<< 1.7-2~),
 Description: easy-to-use, scalable distributed version control system
  Mercurial is a fast, lightweight Source Control Management system designed
  for efficient handling of very large distributed projects.
- . 
+ .
  Its features include:
   * O(1) delta-compressed file storage and retrieval scheme
   * Complete cross-indexing of files and changesets for efficient exploration

=== debian/rules ===
--- 
+++ 
@@ -65,15 +65,6 @@
 		-type d -empty -delete
 
 install-archindep:
-	# Install system-wide conffiles.  Note the rename from .hgrc
-	# to .rc, which dh_install can't do if you list the file in
-	# mercurial-common.install
-	install -m 644 \
-		contrib/mergetools.hgrc \
-		$(CURDIR)/debian/mercurial-common/etc/mercurial/hgrc.d/mergetools.rc
-	install -m 644 \
-		debian/cacerts.hgrc \
-		$(CURDIR)/debian/mercurial-common/etc/mercurial/hgrc.d/cacerts.rc
 	# Move templates and help installed by setup.py to their FHS-correct location
 	mv $(CURDIR)/debian/mercurial-common/usr/lib/python$(PYVER_DEFAULT)/dist-packages/mercurial/templates \
 	   $(CURDIR)/debian/mercurial-common/usr/lib/python$(PYVER_DEFAULT)/dist-packages/mercurial/help \
@@ -85,6 +76,8 @@
 	-rm -rf $(CURDIR)/debian/mercurial-common/usr/lib/python*/dist-packages/mercurial/templates \
 	        $(CURDIR)/debian/mercurial-common/usr/lib/python*/dist-packages/mercurial/help \
 	        $(CURDIR)/debian/mercurial-common/usr/lib/python*/dist-packages/mercurial/locale \
+	# excanvas.js is provided by libjs-excanvas
+	rm $(CURDIR)/debian/mercurial-common/usr/share/mercurial/templates/static/excanvas.js
 	# remove arch-dependent python stuff
 	find debian/mercurial-common/usr/lib \
 		-name '*.so' ! -type d -delete , \

=== debian/tests/control ===
Tests: testsuite
Depends: @, zip, unzip, netbase, python-subversion, monotone, cvs, bzr, tla, gcc, python2.7-dev
Restrictions: allow-stderr

Tests: hgsubversion
Depends: @, hgsubversion

Tests: mercurial-git
Depends: @, mercurial-git, git

## mercurial 3.6

=== debian/changelog ===
mercurial (3.6-1ubuntu1) xenial; urgency=medium

  * Merge from Debian. Remaining changes:
    - debian/patches/fix_tz_ftbfs.patch: fix test failure caused by
      timezone parsing oddity with newer glibc.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 20 Nov 2015 10:24:36 -0500

mercurial (3.6-1) unstable; urgency=medium

  * New upstream release
  * Update hgsubversion breaks. 1.8.3-1 is not compatible with mercurial
    3.6-1

 -- Javi Merino <vicho@debian.org>  Thu, 05 Nov 2015 10:43:33 +0000

mercurial (3.6~rc1-1) experimental; urgency=medium

  * First release candidate for mercurial 3.6

 -- Javi Merino <vicho@debian.org>  Sun, 25 Oct 2015 17:31:59 +0000

mercurial (3.5.2-2) unstable; urgency=medium

  * Fix "bash completion broken" by installing at as "hg" instead of
    "mercurial".  Thanks Matthew Gabeler-Lee <cheetah@fastcat.org> for the
    fix (Closes: #801079)

 -- Javi Merino <vicho@debian.org>  Sun, 18 Oct 2015 14:14:20 +0100

mercurial (3.5.2-1) unstable; urgency=medium

  * New upstream release

 -- Javi Merino <vicho@debian.org>  Fri, 02 Oct 2015 08:14:57 +0100

mercurial (3.5.1-2) unstable; urgency=medium

  * Fix "obsolete conffile /etc/bash_completion.d/mercurial" by removing
    it.  Bash completion is now installed in
    /usr/share/bash_completion/completions (Closes: #799052)

 -- Javi Merino <vicho@debian.org>  Sun, 20 Sep 2015 13:23:46 +0100

mercurial (3.5.1-1) unstable; urgency=medium

  * Update hgsubversion breaks. 1.8.2-1 is compatible with mercurial 3.5-1
  * Update breaks of mercurial-git.  0.8.1-3 works with mercurial 3.5-1
  * New upstream release

 -- Javi Merino <vicho@debian.org>  Mon, 14 Sep 2015 22:05:21 +0100

mercurial (3.5-1) unstable; urgency=medium

  * New upstream release
  * Update hgsubversion breaks to 1.8.1-1
  * Upload to unstable

 -- Javi Merino <vicho@debian.org>  Mon, 03 Aug 2015 20:18:33 +0100

mercurial (3.5~rc1-1) experimental; urgency=medium

  * New upstream release
  * Update debian/copyright to match copyright-format 1.0
  * New version breaks the current versions of mercurial-git and
    hgsubversion in sid

 -- Javi Merino <vicho@debian.org>  Wed, 22 Jul 2015 10:30:00 +0200

mercurial (3.4.2-1) unstable; urgency=medium

  * New upstream release
  * Drop "XS-Testsuite" as it's no longer needed
  * Fix "FTBFS: recipe for target 'override_dh_auto_test' failed"
    by using rename.  util-linux no longer provides rename.ul (Closes: #790266)

 -- Javi Merino <vicho@debian.org>  Wed, 08 Jul 2015 22:31:18 +0100

mercurial (3.4-1ubuntu2) wily; urgency=medium

  * debian/rules: don't fail in override_dh_auto_test if there is nothing
    to rename.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 17 Jun 2015 16:32:06 -0400

=== debian/control ===
--- 
+++ 
@@ -22,8 +22,6 @@
 Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/mercurial/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/mercurial/trunk/
 X-Python-Version: >= 2.4
-# Can go away once dpkg 1.17.11 hits stable
-XS-Testsuite: autopkgtest
 
 Package: mercurial-common
 Architecture: all 
@@ -53,9 +51,9 @@
 Recommends: openssh-client,
 Suggests: qct,
  kdiff3 | kdiff3-qt | kompare | meld | tkcvs | mgdiff
-Breaks: hgsubversion (<< 1.8-1),
+Breaks: hgsubversion (<= 1.8.3-1),
  hgview-common (<< 1.8.1),
- mercurial-git (<= 0.6.1-2),
+ mercurial-git (<< 0.8.1-3),
  qct (<< 1.7-2~),
 Description: easy-to-use, scalable distributed version control system
  Mercurial is a fast, lightweight Source Control Management system designed

=== debian/rules ===
--- 
+++ 
@@ -41,7 +41,7 @@
 
 	http_proxy='' dh_auto_test -- TESTFLAGS="--verbose --timeout 1440 $(PARALLEL_TEST_JOBS) --blacklist $(CURDIR)/debian/mercurial.test_blacklist"
 
-	rename.ul .deb-backup '' $(CURDIR)/tests/*
+	rename 's/\.deb-backup$$//' $(CURDIR)/tests/*
 endif
 
 override_dh_auto_install: $(PYVERS:%=install-python%)

## mercurial 3.6.2

=== Makefile ===
--- 
+++ 
@@ -50,6 +50,9 @@
 
 build:
 	$(PYTHON) setup.py $(PURE) build $(COMPILER:%=-c %)
+
+wheel:
+	FORCE_SETUPTOOLS=1 $(PYTHON) setup.py $(PURE) bdist_wheel $(COMPILER:%=-c %)
 
 doc:
 	$(MAKE) -C doc
@@ -157,6 +160,14 @@
 	N=`cd dist && echo mercurial-*.mpkg | sed 's,\.mpkg$$,,'` && hdiutil create -srcfolder dist/$$N.mpkg/ -scrub -volname "$$N" -ov packages/osx/$$N.dmg
 	rm -rf dist/mercurial-*.mpkg
 
+deb:
+	mkdir -p packages/debian-unknown
+	contrib/builddeb --release unknown
+
+docker-debian-jessie:
+	mkdir -p packages/debian-jessie
+	contrib/dockerdeb jessie
+
 fedora20:
 	mkdir -p packages/fedora20
 	contrib/buildrpm

=== debian/changelog ===
mercurial (3.6.2-1ubuntu2) xenial; urgency=medium

  * debian/tests/mercurial-git: Redirect stderr of git clone and git push
    to stdout, to fix failure.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Thu, 17 Dec 2015 10:40:57 +0300

mercurial (3.6.2-1ubuntu1) xenial; urgency=medium

  * Merge with Debian unstable, remaining change:
    - debian/patches/fix_tz_ftbfs.patch: fix test failure caused by
      timezone parsing oddity with newer glibc.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Wed, 16 Dec 2015 18:49:21 +0300

mercurial (3.6.2-1) unstable; urgency=medium

  * New upstream release
  * Improve autopkgtest for mercurial-git to test pushing commits from the
    mercurial clone to git
  * Update breaks of hgsubversion.  hgsubversion 1.8.3-2 works with
    mercurial 3.6

 -- Javi Merino <vicho@debian.org>  Fri, 04 Dec 2015 07:37:49 +0000

mercurial (3.6.1-1) unstable; urgency=medium

  * New upstream release
  * mercurial 3.6 breaks mercurial-crecord 0.20150626-1
  * mercurial 3.6 breaks mercurial-git prior to 0.8.3-1

 -- Javi Merino <vicho@debian.org>  Thu, 26 Nov 2015 08:30:18 +0000

=== debian/control ===
--- 
+++ 
@@ -51,10 +51,11 @@
 Recommends: openssh-client,
 Suggests: qct,
  kdiff3 | kdiff3-qt | kompare | meld | tkcvs | mgdiff
-Breaks: hgsubversion (<= 1.8.3-1),
+Breaks: hgsubversion (<< 1.8.3-2),
  hgview-common (<< 1.8.1),
- mercurial-git (<< 0.8.1-3),
+ mercurial-git (<< 0.8.3-1),
  qct (<< 1.7-2~),
+ mercurial-crecord (<= 0.20140626-1),
 Description: easy-to-use, scalable distributed version control system
  Mercurial is a fast, lightweight Source Control Management system designed
  for efficient handling of very large distributed projects.

## mercurial 3.7.3

=== doc/Makefile ===
SOURCES=$(notdir $(wildcard ../mercurial/help/*.[0-9].txt))
MAN=$(SOURCES:%.txt=%)
HTML=$(SOURCES:%.txt=%.html)
GENDOC=gendoc.py ../mercurial/commands.py ../mercurial/help.py \
	../mercurial/help/*.txt ../hgext/*.py ../hgext/*/__init__.py
PREFIX=/usr/local
MANDIR=$(PREFIX)/share/man
INSTALL=install -c -m 644
PYTHON=python
RSTARGS=

export HGENCODING=UTF-8

all: man html

man: $(MAN)

html: $(HTML)

common.txt $(SOURCES) $(SOURCES:%.txt=%.gendoc.txt): $(GENDOC)
	${PYTHON} gendoc.py $(basename $@) > $@.tmp
	mv $@.tmp $@

%: %.txt %.gendoc.txt common.txt
	$(PYTHON) runrst hgmanpage $(RSTARGS) --halt warning \
	  --strip-elements-with-class htmlonly $*.txt $*

%.html: %.txt %.gendoc.txt common.txt
	$(PYTHON) runrst html $(RSTARGS) --halt warning \
	  --link-stylesheet --stylesheet-path style.css $*.txt $*.html

MANIFEST: man html
# tracked files are already in the main MANIFEST
	$(RM) $@
	for i in $(MAN) $(HTML); do \
	  echo "doc/$$i" >> $@ ; \
	done

install: man
	for i in $(MAN) ; do \
	  subdir=`echo $$i | sed -n 's/^.*\.\([0-9]\)$$/man\1/p'` ; \
	  mkdir -p $(DESTDIR)$(MANDIR)/$$subdir ; \
	  $(INSTALL) $$i $(DESTDIR)$(MANDIR)/$$subdir ; \
	done

clean:
	$(RM) $(MAN) $(HTML) common.txt $(SOURCES) $(SOURCES:%.txt=%.gendoc.txt) MANIFEST

=== debian/changelog ===
mercurial (3.7.3-1ubuntu1) xenial; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/fix_tz_ftbfs.patch: fix test failure caused by
      timezone parsing oddity with newer glibc.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 06 Apr 2016 14:53:10 +0200

mercurial (3.7.3-1) unstable; urgency=medium

  * New security upstream release fixes CVE-2016-3068, CVE-2016-3069
    and CVE-2016-3630.
  * Fix "FTBFS when built with dpkg-buildpackage -A".  Thanks Julien
    Cristau for the patch (Closes: #807021)
  * Avoid allow-stderr in mercurial-git autopkgtest

 -- Javi Merino <vicho@debian.org>  Wed, 30 Mar 2016 08:20:07 +0100

mercurial (3.7.2-2) unstable; urgency=medium

  * Don't run test-clonebundle.t when building.  Reproducible builds don't
    setup name resolution (Closes: #809770)

 -- Javi Merino <vicho@debian.org>  Sat, 05 Mar 2016 12:08:37 +0000

mercurial (3.7.2-1) unstable; urgency=medium

  * New upstream release
  * Blacklist test-parse-date.t .  It fails on some of the chroots of
    some architectures
  * Bump standards-version to 3.9.6 (no change needed)
  * Use https for vcs-browser.  Thanks lintian
  * Update homepage

 -- Javi Merino <vicho@debian.org>  Wed, 02 Mar 2016 22:28:36 +0000

mercurial (3.7.1-1) unstable; urgency=medium

  * New upstream release
  * Fix "mercurial-git autopkgtest fails because of stderr" by allowing
    the test to output to stderr (Closes: #808376)
  * Allow the hgsubversion test to output to stderr

 -- Javi Merino <vicho@debian.org>  Thu, 11 Feb 2016 22:43:27 +0000

=== debian/control ===
--- 
+++ 
@@ -17,10 +17,10 @@
  unzip,
  bash-completion,
  netbase,
-Standards-Version: 3.9.6
-Homepage: http://mercurial.selenic.com/
+Standards-Version: 3.9.7
+Homepage: https://www.mercurial-scm.org/
 Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/mercurial/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/mercurial/trunk/
+Vcs-Browser: https://anonscm.debian.org/viewvc/python-apps/packages/mercurial/trunk/
 X-Python-Version: >= 2.4
 
 Package: mercurial-common

=== debian/rules ===
--- 
+++ 
@@ -85,7 +85,9 @@
 
 override_dh_python2:
 	dh_python2
-	find debian/mercurial/usr/share -type d -empty -delete
+	if test -d debian/mercurial; then \
+		find debian/mercurial/usr/share -type d -empty -delete ; \
+	fi
 
 override_dh_auto_clean: mercurial/__version__.py
 	cp -a mercurial/__version__.py mercurial/__version__.py.save

=== debian/tests/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 
 Tests: hgsubversion
 Depends: @, hgsubversion
+Restrictions: allow-stderr
 
 Tests: mercurial-git
 Depends: @, mercurial-git, git

## mercurial 3.8.1

=== debian/changelog ===
mercurial (3.8.1-1) unstable; urgency=medium

  * New upstream release (Closes: #737498)
  * Fixes CVE-2016-3105
  * Bump standards-version to 3.9.8 (no change needed)
  * Re-enable test-parse-date.t in the test-suite
  * mercurial 3.8.1 breaks current hgsubversion and mercurial-git

 -- Javi Merino <vicho@debian.org>  Tue, 03 May 2016 07:45:02 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: mercurial
 Section: vcs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
+Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Uploaders: Vincent Danjean <vdanjean@debian.org>,
  Javi Merino <vicho@debian.org>,
  Tristan Seligmann <mithrandi@debian.org>
@@ -17,7 +16,7 @@
  unzip,
  bash-completion,
  netbase,
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: https://www.mercurial-scm.org/
 Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/mercurial/trunk/
 Vcs-Browser: https://anonscm.debian.org/viewvc/python-apps/packages/mercurial/trunk/
@@ -51,9 +50,9 @@
 Recommends: openssh-client,
 Suggests: qct,
  kdiff3 | kdiff3-qt | kompare | meld | tkcvs | mgdiff
-Breaks: hgsubversion (<< 1.8.3-2),
+Breaks: hgsubversion (<= 1.8.5-1),
  hgview-common (<< 1.8.1),
- mercurial-git (<< 0.8.3-1),
+ mercurial-git (<= 0.8.5-2),
  qct (<< 1.7-2~),
  mercurial-crecord (<= 0.20140626-1),
 Description: easy-to-use, scalable distributed version control system

## mercurial 3.8.2

=== debian/changelog ===
mercurial (3.8.2-1) unstable; urgency=medium

  * New upstream release
  * revert mercurial-git breaks to 0.8.3-1
  * update debian/watch URL

 -- Javi Merino <vicho@debian.org>  Fri, 27 May 2016 22:01:25 +0200

=== debian/control ===
--- 
+++ 
@@ -52,7 +52,7 @@
  kdiff3 | kdiff3-qt | kompare | meld | tkcvs | mgdiff
 Breaks: hgsubversion (<= 1.8.5-1),
  hgview-common (<< 1.8.1),
- mercurial-git (<= 0.8.5-2),
+ mercurial-git (<= 0.8.3-1),
  qct (<< 1.7-2~),
  mercurial-crecord (<= 0.20140626-1),
 Description: easy-to-use, scalable distributed version control system
